{% extends "roadbook/base.html" %}

{% load comment_tags %}
{% load i18n %}
{% load leaflet_tags %}
{% load roadbook_tags %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

{% block extra_uncompressed_js %}
    {% roadbook_map page.get_all_legs %}
{% endblock %}

{% block body_class %}template-roadbook-route{% endblock %}

{% block content %}
    <div class="container">
        <div class="row mt-3 my-2">
            <div class="col-12">
                <h5>{% trans "From" %} {{ page.start_date|date }} {% trans "to" %} {{ page.end_date|date }}</h5>
            </div>
        </div>
        <div class="row">
            <div class="col-12 pb-3 mt-3 text-center">
                <h2 class="display-4">{{ page.title }}</h2>
                {% if page.display_locations %}
                    <h4 class="text-muted">{{ page.start_location }} - {{ page.end_location }}</h4>
                {% endif%}
                <div class="d-flex justify-content-center">
                    {% include 'roadbook/includes/track_stats.html' %}
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12">
                {% include 'roadbook/includes/next_previous_page_buttons.html' %}
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6 col-md-12 pl-0">
                {% leaflet_map "roadbook-map" %}
            </div>
            <div class="col-lg-6 col-md-12">
                {% with legs=page.get_legs_ascending %}
                    {% if legs|length < 1 %}
                        <div class="row">
                            <div class="col-12">
                                <p class="text-muted">{% trans "No road book leg available" %}</p>
                            </div>
                        </div>
                    {% else %}
                        <div class="legs">
                            {% for leg in legs %}
                                {% include "roadbook/includes/leg_list_item.html" with leg=leg.specific %}
                            {% endfor %}
                        </div>
                    {% endif %}
                {% endwith %}
            </div>
        </div>
    </div>
    <div class="container mt-3">
        {% show_comments page %}
    </div>
{% endblock content %}
